Security Update regarding the OpenSSL Heartbleed bug

heartbleed 200

A major vulnerability in the technology that powers encryption across much of the internet was discovered this week. Like many other teams, we took immediate action to investigate and patch the vulnerability in our infrastructure.

You are SAFE – BlueSenseNetworks.com is no longer vulnerable, whereas ProximitySense.com has never been affected!

We don’t store payment or credit card information on our servers so your payment details are SAFE.

Though we have no evidence of malicious behaviour, we encourage you to change your account password not only on BlueSenseNetworks.com or ProximitySense.com, but everywhere, as many of the services you love were affected. This includes email providers, online bank services and online retailers. Please check with your existing services if they have been patched BEFORE changing your password, as doing it on an insecure server will expose you to the vulnerability

You can use this tool to verify vulnerability of existing services: Heartbleed Server Test

If you have any questions or concerns, please don’t hesitate to get in touch.

 

Vladimir Petrov

Coder, Geek, Entrepreneur, co-founder of Blue Sense Networks